From: Jonatan Schlag <jonatan.schlag@ipfire.org>
To: development@lists.ipfire.org
Subject: [PATCH 02/21] tests: Add bash lib
Date: Mon, 20 May 2024 11:05:52 +0200 [thread overview]
Message-ID: <20240520090611.10406-3-jonatan.schlag@ipfire.org> (raw)
In-Reply-To: <20240520090611.10406-1-jonatan.schlag@ipfire.org>
[-- Attachment #1: Type: text/plain, Size: 751 bytes --]
This allows use to write test with less effort as we can reuse functions
Signed-off-by: Jonatan Schlag <jonatan.schlag(a)ipfire.org>
---
tests/lib.sh | 20 ++++++++++++++++++++
1 file changed, 20 insertions(+)
create mode 100644 tests/lib.sh
diff --git a/tests/lib.sh b/tests/lib.sh
new file mode 100644
index 000000000..7749d5158
--- /dev/null
+++ b/tests/lib.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/bash
+
+LIB_DIR="$(dirname "$(readlink -f "${BASH_SOURCE[0]}")")"
+
+. ${LIB_DIR}/lib_color.sh
+
+test_that() {
+
+ if ! "$@" ; then
+ echo -e "${CLR_RED_BG} Test failed: ${*} ${CLR_RESET}"
+ return 1
+ else
+ echo -e "${CLR_GREEN_BG} Test succeded: ${*} ${CLR_RESET}"
+ return 0
+ fi
+}
+
+var_has_value() {
+ [[ "${!1}" == "${2}" ]]
+}
--
2.39.2
next prev parent reply other threads:[~2024-05-20 9:05 UTC|newest]
Thread overview: 24+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-05-20 9:05 First patch series for the roadmap item "Get rid of CONFIG_TYPE in the network config" Jonatan Schlag
2024-05-20 9:05 ` [PATCH 01/21] test: Add bash lib for colors Jonatan Schlag
2024-05-20 9:05 ` Jonatan Schlag [this message]
2024-05-20 9:05 ` [PATCH 03/21] tests/lib.sh: Add function test_that_key_in_arry_has_value Jonatan Schlag
2024-05-20 9:05 ` [PATCH 04/21] tests/lib.sh: Add check if variable exists to test_that_key_in_arry_has_value Jonatan Schlag
2024-05-20 9:05 ` [PATCH 05/21] tests/lib.sh: Add logging functions Jonatan Schlag
2024-05-20 9:05 ` [PATCH 06/21] tests/lib.sh: adjust to pytest logging style Jonatan Schlag
2024-05-20 9:05 ` [PATCH 07/21] tests/lib.sh: Fix check if array is defined Jonatan Schlag
2024-05-20 9:05 ` [PATCH 08/21] test_that_key_in_arry_has_value: Check if the key " Jonatan Schlag
2024-05-20 9:05 ` [PATCH 09/21] tests/lib.sh: Use namref to access an array Jonatan Schlag
2024-05-20 9:06 ` [PATCH 10/21] test_that_key_in_arry_has_value: Check if a key in an array exists Jonatan Schlag
2024-05-20 9:06 ` [PATCH 11/21] tests: Add function to test the ouput of a bash function Jonatan Schlag
2024-05-20 9:06 ` [PATCH 12/21] initscript functions: add readhash Jonatan Schlag
2024-05-20 9:06 ` [PATCH 13/21] initscript fkt: ignore blank lines in readhash Jonatan Schlag
2024-05-20 9:06 ` [PATCH 14/21] test: Add functions test_that_array_is_defined Jonatan Schlag
2024-05-20 9:06 ` [PATCH 15/21] tests: Add functions test_that_array_doesnt_have_key Jonatan Schlag
2024-05-20 9:06 ` [PATCH 16/21] initscripts fkt: Ignore comments in readhash Jonatan Schlag
2024-05-20 9:06 ` [PATCH 17/21] initscripts fkt: ignore invalid keys " Jonatan Schlag
2024-05-20 9:06 ` [PATCH 18/21] initscripts fkt: readhash should only parse lines with a = Jonatan Schlag
2024-05-20 9:06 ` [PATCH 19/21] initscripts fkt: Check for invalid values in readhash Jonatan Schlag
2024-05-20 9:06 ` [PATCH 20/21] initscripts fkt: keep readhash compatible with older implementation Jonatan Schlag
2024-05-20 9:06 ` [PATCH 21/21] initscripts fkt: Fix shebang Jonatan Schlag
[not found] <01045B9E-DD44-47CA-A0DF-525E452C1D72@ipfire.org>
2024-06-02 17:49 ` [PATCH 02/21] tests: Add bash lib Jonatan Schlag
2024-06-03 9:19 ` Michael Tremer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20240520090611.10406-3-jonatan.schlag@ipfire.org \
--to=jonatan.schlag@ipfire.org \
--cc=development@lists.ipfire.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox